0

Text scrolling

Hi,

We've got some content that doesn't fit in quite well on a single sidebar but we haven't found any way of providing scrolling of the text. We could look at identifying paragraphs in the original text and provide some paging mechanism but before going that route we were wondering if there is some sort of scrolling mechanism already in the framework.

Thanks
Carlos

by
10 Replies
  • I'd be really interested to know is there is a solution to this too...
    0
  • The framework 1.1 provides a TextGrid control which allows you to have paginated text with a page indicator indicating the current progress in the pages. You can see examples of this being used inside:

    Framework/kontx/1.1/src/toolbox/views.js -- inside the About Box view class

    If you aren't already on Framework 1.1, I highly recommend you move forward to it asap as the old one is technically deprecated. There are some changes which were necessitated to get to 1.0 (overall workflow improvements we learned developing widgets on the old framework) and going forward we will do our absolute best to minimize backward incompatibilities like happened here. If you need any assistance in getting moved to the new framework (much easier than it sounds, especially if you have someone show you the ropes initially), please do not hesitate to contact me.
    0
  • We do not seem to have version 1.1, did we miss the release?
    0
  • QUOTE (c.penny67 @ Mar 26 2009, 04:12 AM) <{POST_SNAPBACK}>
    We do not seem to have version 1.1, did we miss the release?


    Same here. How do we get 1.1?
    0
  • QUOTE (cbaeztxt @ Mar 26 2009, 05:02 AM) <{POST_SNAPBACK}>
    Same here. How do we get 1.1?


    What version of the WDK are you guys running?

    0.9.5-21 should include Framework 1.1

    0.9.5-25 also includes video controls in the 1.1 framework

    and the next upcoming release 0.9.5-33 (tentatively) should be the final version of the 1.1 framework (or very close to it) and future development will begin on framework 1.2 (which will be fully backwards compatible with 1.1).
    0
  • I'll follow up with the person in charge of the WDK and let you know.
    0
  • I cannot see the 1.1 framework within the version 0.9.5-21.

    In /usr/local/Konfabulator/TV/Framework/kontx/ I can see 2 folders: 0.2.2 and 1.0.0. - I would have thought that I would be able to see 1.1.0 in there with the new TextGrid element that you mention?

    Also, I did a grep -ir textgrid /usr/local/Konfabulator/ and it returned no results.
    0
  • Same here, using version 0.9.5-21 as well, but there's no 1.1.
    0
  • I also only have 1.0.0 in my version of 0.9.5-21
    0
  • QUOTE (scottagarman @ Mar 27 2009, 11:54 AM) <{POST_SNAPBACK}>
    I also only have 1.0.0 in my version of 0.9.5-21


    I was told otherwise, my apologies. If all you have is -21 please send in an email to your point of contact and they will send you the latest version. If you would like to have it to work on this weekend, send me an email and I would be happy to help as best as I can.
    0

Recent Posts

in General - Yahoo! TV Widgets